2018 Error Loading Plugins

error
sketchup
plugins

#1

Just Installed 30-day trial 2018 Sketchup Pro.
1st time loading run smoothly. Then i add a plug_in “eyecadVRPlugin_9.rbz” that i download from extensions.sketchup.com. Then i restart the sketchup.

On launch, I get these error reports:
Error: #<LoadError: cannot load such file – win32/registry>

/Applications/SketchUp 2018/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.2/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require’

/Applications/SketchUp 2018/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.2/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require’

/users/shafeerul/library/application support/sketchup 2018/sketchup/plugins/eyecadvrplugin/main.rbe:10:in `<main>’

/Applications/SketchUp 2018/SketchUp.app/Contents/Resources/Content/Tools/extensions.rb:197:in `eval’

/Applications/SketchUp 2018/SketchUp.app/Contents/Resources/Content/Tools/extensions.rb:197:in `require’

/Applications/SketchUp 2018/SketchUp.app/Contents/Resources/Content/Tools/extensions.rb:197:in `load’

/Users/shafeerul/Library/Application Support/SketchUp 2018/SketchUp/Plugins/eyecadVRPlugin.rb:13:in `register_extension’

/Users/shafeerul/Library/Application Support/SketchUp 2018/SketchUp/Plugins/eyecadVRPlugin.rb:13:in `<module:EyeCad>’

/Users/shafeerul/Library/Application Support/SketchUp 2018/SketchUp/Plugins/eyecadVRPlugin.rb:5:in `<module:Program>’

/Users/shafeerul/Library/Application Support/SketchUp 2018/SketchUp/Plugins/eyecadVRPlugin.rb:4:in `<top (required)>’

My Question: It Stated that “eyecad VR - Virtual Reality Architecture Software (Pro only)”. By installing Trail version of sketchupPro, that i cant use/install “Pro only” plug in.If i do, Then can this problem be fix?

Thanks


#2

Check the extension compatibility.

You’re on OSX, the extension is Windows only.


#3

T____T …Why did they make a compatibility software for mac but the plug in.Thank you [Julian_Smith]


#4

Depends on who you mean by “they”.

Most extensions/plugins are written by independent authors not by Trimble. So if by “they” you mean Trimble, it is not in their hands. But if you mean the eyecad VR authors, you’d have to ask them. The errors indicate that they are using a Ruby gem that requires Windows’ win32/registry library, which has no equivalent on Mac. To fix that, they’d have to find a different way to do whatever they are doing via that gem.


#5

Eyecad VR Team Obviously. Why marketing a fully supportion for various platforms while releasing somehow unfinished plugins. The Software itself cant read .skp. i tried to export skp file as .fbx,obj,3ds. but non of them fully readable for the software to generate the mesh properly. Quite frustrating. Already sent Eyecad VR Team a message.Hope to hear news from them soon.